Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 16 Jul 2014 13:04:34 +1000

Hi Guenter,

On Tue, 15 Jul 2014 12:08:07 -0700 Guenter Roeck <[email-masked]> wrote:
>
> > > > Do you mean b6220ad66 (sched: Fix compiler warnings) ? I thought that was accepted
> > > > a week or so ago.
> > > 
> > > That is in the tip tree and includes the fixups to powerpc and arm.  I
> > > don't merge the tip tree till well after the v4l-dvb tree.  The merge
> > > in the v4l-dvb tree included only the change to include/linus/sched.h
> > > and neither parent fo that merge was based on the tip tree ...
> > > 
> > Stephen, 
> > 
> > Do you know if/when this patch will be merged upstream? It doesn't
> > seem to be at 2.6.16-rc5. Otherwise, I'll likely cherry-pick it on
> 	s/2.16/3.16/
> > my trees, as the lack of this fixup is making hard for me to check
> > if a media tree patch isn't introducing new warnings.
> 
> Only queued for 3.17 as far as I can see, and not scheduled for 3.16.

Its in the sched/urgent branch of the tip tree, so hopefully it will go
to Linus shortly.

[ccing various tip tree maintainers ...]

Hi guys, this commit (b6220ad66 (sched: Fix compiler warnings)) fixes
lots of W=1 build warnings ... just wondering when it will progress?

-- 
Cheers,
Stephen Rothwell                    [email-masked]